#!/usr/bin/perl -w
use strict;
my $inputFile = $ARGV[0];
my @elements;
my @ov;
my @t;
my $i;
my $out;

open(IN, $inputFile) or die "Open file $inputFile error!\n";
while(<IN>) {
	if($_ =~ "warm-start time") {
		last;
	}
}
while(<IN>) {
	if($_ =~ "inc time" or $_ =~ "dec time") {
		last;
	}
	@elements = split(/ +/, $_);
	push(@ov, $elements[5]);
	push(@t, $elements[3]);
}
close(IN);
for($i=0;$i<=$#ov;$i++) {
	$out = sprintf("%.15e %f\n", $ov[$i], $t[$i]);
	print $out;
}
