#!/usr/bin/perl -w
use strict;
my $inputFile = $ARGV[0];
my @elements;
my @ov;
my @t;
my $i;
my $out;

open(IN, $inputFile) or die "Open file $inputFile error!\n";
while(<IN>) {
	if($_ =~ "warm-start time") {
		$_ = <IN>;
		@elements = split(/ +/, $_);
		push(@ov, $elements[-1]);
		push(@t, 0);
		last;
	}
}
while(<IN>) {
	if(length($_)==1) {
		last;
	}
	@elements = split(/ +/, $_);
	push(@ov, substr($elements[4], 0, length($elements[4])-1));
	push(@t, $elements[-1]);
}
close(IN);
for($i=0;$i<=$#ov;$i++) {
	$out = sprintf("%.15e %f\n", $ov[$i], $t[$i]);
	print $out;
}
